Package org.apache.avro.perf.test.record

# Class RecordWithDefaultTest

java.lang.Object
org.apache.avro.perf.test.record.RecordWithDefaultTest

Direct Known Subclasses:
  `RecordWithDefaultTest_jmhType_B1`

public class RecordWithDefaultTest extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RecordWithDefaultTest.TestStateDecode`

## Constructor Summary

Constructors
Constructor
Description
`RecordWithDefaultTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(RecordWithDefaultTest.TestStateDecode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecordWithDefaultTest

public RecordWithDefaultTest()

## Method Details

### decode

public void decode(RecordWithDefaultTest.TestStateDecode state) throws Exception

Throws:
  `Exception`